---
obj: meta
---

# Frontmatter
[Index](MetaIndex.md)
## Common Frontmatter Tags
- `website` - Website
- `repo` - Repository
- `source` - Source
- `wiki` - Wiki link
- `arch-wiki` - Arch Wiki link
- `rfc` - RFC Document link
- `rev` - Date of last change (Revision)
- `mime` - Associated MIME Type
- `extension` - Associated file extensions
- `obj` - Object Type

## Common Frontmatter Tags for Object Types
### `Application` + `Emulator`
- `android-id` - Android Application ID
- `flatpak-id` - Flatpak Application ID
- `f-droid` - F-Droid URL

### `Website`
- `category` - Website Category
- `status` - Website Status

# Object Types
- `Application` - Any application
- `OS` - Operating System
- `Format` - File Format
- `FileSystem` - File System
- `Emulator` - Emulator System
- `Concept` - Concept
- `Meta` - Lists, Collections, Metadata
	- `Meta/Collection` - Collection of notes
- `Device` - Physical Device
- `Website` - Website
- `Science` - Scientific Notes
	- `Science/Unit` - Scientific measurement unit

## Notes without Object set
```dataview
table obj as "Type" from "knowledge" where obj = null
```