```
██   ██ ███    ██  ██████  ██     ██ ██      ███████ ██████   ██████  ███████ 
██  ██  ████   ██ ██    ██ ██     ██ ██      ██      ██   ██ ██       ██      
█████   ██ ██  ██ ██    ██ ██  █  ██ ██      █████   ██   ██ ██   ███ █████   
██  ██  ██  ██ ██ ██    ██ ██ ███ ██ ██      ██      ██   ██ ██    ██ ██      
██   ██ ██   ████  ██████   ███ ███  ███████ ███████ ██████   ██████  ███████ 
```

# knowledge
The Knowledge repository is designed to serve as a centralized hub for information on a wide range of topics, including science, technology, mathematics, philosophy, and more. Its genesis lies in my desire to capture almost everything I know in one place, structured and searchable for easy retrieval.

## Topics
- [🔬 Science](science/Science.md)
  - [🧬 Biology](science/biology/Biology.md)
  - [⚗️ Chemistry](science/chemistry/Chemistry.md)
  - [📊 Math](science/math/Math.md)
  - [🤔 Philosophy](science/philosophy/Philosophy.md)
  - [🌌 Physics](science/physics/Physics.md)
- [💻 Technology](technology)

## Workflow
- **Structure**: Notes cover specific topics and are written in plain text [markdown](technology/files/Markdown.md). Notes link to other notes if they reference them.
- **Organization**: Each note has additional frontmatter metadata according to [`schema.json`](schema.json). The Schema is also described in [`Meta.md`](Meta.md).
- **Search**:
    - **[ripgrep](technology/applications/cli/ripgrep.md)**: Search keywords within note content.
    - **[mdq](https://git.hydrar.de/mdtools/mdq)**: Search notes based on metadata tags.
- **Browsing**:
    - **[VSCode](technology/applications/development/Visual%20Studio%20Code.md) with Foam Plugin**
    - **[Obsidian](technology/applications/office/Obsidian.md)**
    - **Online on [Gitea](technology/applications/web/Gitea.md)**

## Contributing
If you want to contribute or fix some notes take a look at these files:
- [`Guide.md`](Guide.md): This file serves as a guide and checklist for contributing to and maintaining the repository's organization. It provides guidelines for adding new content, updating existing content, and ensuring consistency.
- [`Meta.md`](Meta.md): This file describes the [`schema.json`](schema.json) file in human-readable terms. The [`schema.json`](schema.json) file defines the structure and metadata format used for each note in the repository.
