# Light
Light is a form of electromagnetic radiation that is visible to the human eye. It is essential for vision and plays a crucial role in various natural phenomena and technological applications.

## Properties of Light
- **Wave-Particle Duality**: Light exhibits both wave-like and particle-like properties. This duality is described by the wave-particle theory of light.
- **Speed**: In a vacuum, light travels at a constant speed of approximately 299,792 kilometers per second (or about 186,282 miles per second).
- **Wavelength**: Light consists of electromagnetic waves with different wavelengths. The visible spectrum ranges from approximately 400 nanometers (violet) to 700 nanometers (red).
- **Frequency**: The frequency of light waves determines their color. Higher frequencies correspond to colors towards the violet end of the spectrum, while lower frequencies correspond to colors towards the red end.

## Refraction of Light
Refraction is the bending of light as it passes from one medium to another. This bending occurs due to a change in the speed of light when it transitions between different materials.

### Laws of Refraction
1. **Snell's Law**: Snell's law describes the relationship between the angles of incidence and refraction when light passes through a boundary between two different media. It is expressed mathematically as:

   $n_{1} * sin(θ_{1}) = n_{2} * sin(θ_{2})$

   Where:
   - $n_{1}$ and $n_{2}$ are the refractive indices of the two media.
   - $θ_{1}$ is the angle of incidence.
   - $θ_{2}$ is the angle of refraction.

2. **Principle of Least Time**: This principle states that light will follow the path that takes the least amount of time to traverse when transitioning between two media. This principle explains why light bends towards the normal when entering a denser medium and away from the normal when entering a less dense medium.

### Applications of Refraction
- **Lenses**: Refraction is utilized in lenses to focus light, forming images in various optical devices such as cameras, telescopes, and microscopes.
- **Prisms**: Prisms use refraction to disperse white light into its constituent colors, creating a spectrum.
- **Mirages**: Atmospheric refraction can create optical illusions such as mirages, where distant objects appear distorted or displaced due to the bending of light as it passes through air layers with different densities.
