---
obj: science/unit
rev: 2024-02-08
---

# Kelvin
The kelvin (symbol: K) is the SI base unit of temperature. It is commonly used in scientific and engineering contexts, particularly in disciplines such as [physics](../Physics.md), [chemistry](../../chemistry/Chemistry.md), and materials science. The kelvin scale is based on absolute zero, the theoretical lowest possible temperature, and provides a precise and universally applicable way to measure temperature.

## History
The kelvin scale was established in the 19th century by the Scottish physicist William Thomson, 1st Baron Kelvin, who proposed a temperature scale with absolute zero as its starting point. In 1954, the 10th General Conference on Weights and Measures (CGPM) officially adopted the kelvin as one of the base units of the International System of Units (SI).

## Definition
The kelvin is defined as $\frac{1}{273.16}$ of the thermodynamic temperature of the triple point of water. The triple point of water is the unique combination of temperature and pressure at which water can coexist in equilibrium as a solid, liquid, and gas. This definition ensures that the kelvin scale is tied to fundamental properties of matter and is independent of the properties of any specific substance.

## Practical Applications
- **Scientific Research:** The kelvin scale is used in scientific research to measure temperatures in a wide range of fields, including physics, chemistry, astronomy, and environmental science.
- **Engineering:** Engineers use the kelvin scale to design and test various systems and devices that involve temperature control, such as heating and cooling systems, engines, and electronic components.
- **Materials Science:** Temperature plays a crucial role in the properties and behavior of materials. The kelvin scale is essential in materials science for studying phase transitions, thermal expansion, and other temperature-dependent phenomena.
- **Meteorology:** While the Celsius and Fahrenheit scales are more commonly used for everyday weather reporting, the kelvin scale is used in meteorology for scientific research and in specialized applications such as climate modeling.

## Symbol and Usage
The symbol for the kelvin is "K." Temperatures measured in kelvin are typically expressed without the degree symbol (°). For example, the freezing point of water is 273.15 K.
