---
obj: application
repo: https://github.com/tbillington/kondo
rev: 2025-01-28
---

# Kondo 🧹
Cleans `node_modules`, `target`, `build`, and friends from your projects.

Excellent if
- 💾 You want to back up your code but don't want to include GBs of dependencies
- 🧑‍🎨 You try out lots of projects but hate how much space they occupy
- ⚡️ You like keeping your disks lean and zippy

## Usage
Kondo recursively cleans project directories.

Supported project types: Cargo, Node, Unity, SBT, Haskell Stack, Maven, Unreal Engine, Jupyter Notebook, Python, Jupyter Notebooks, CMake, Composer, Pub, Elixir, Swift, Gradle, and .NET projects.

Usage: `kondo [OPTIONS] [DIRS]...`

| Option                              | Description                                                                                                                                                          |
| ----------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `-I, --ignored-dirs <IGNORED_DIRS>` | Directories to ignore. Will also prevent recursive traversal within                                                                                                  |
| `-q, --quiet...`                    | Quiet mode. Won't output to the terminal. `-qq` prevents all output                                                                                                  |
| `-a, --all`                         | Clean all found projects without confirmation                                                                                                                        |
| `-L, --follow-symlinks`             | Follow symbolic links                                                                                                                                                |
| `-s, --same-filesystem`             | Restrict directory traversal to the root filesystem                                                                                                                  |
| `-o, --older <OLDER>`               | Only directories with a file last modified n units of time ago will be looked at. Ex: 20d. Units are m: minutes, h: hours, d: days, w: weeks, M: months and y: years |
