---
obj: application
repo: https://github.com/vschwaberow/rexturl
rev: 2025-01-30
---

# rexturl
A versatile command-line tool for parsing and manipulating URLs.

## Usage
Usage: `rexturl [OPTIONS] [URLS...]`

If no URLs are provided, rexturl will read from stdin.

### Options

| Option              | Description                                               |
| ------------------- | --------------------------------------------------------- |
| `--urls <URLS>`     | Input URLs to process                                     |
| `--scheme`          | Extract and display the URL scheme                        |
| `--username`        | Extract and display the username from the URL             |
| `--host`            | Extract and display the hostname                          |
| `--port`            | Extract and display the port number                       |
| `--path`            | Extract and display the URL path                          |
| `--query`           | Extract and display the query string                      |
| `--fragment`        | Extract and display the URL fragment                      |
| `--sort`            | Sort the output                                           |
| `--unique`          | Remove duplicate entries from the output                  |
| `--json`            | Output results in JSON format                             |
| `--all`             | Display all URL components                                |
| `--custom`          | Enable custom output mode                                 |
| `--format <FORMAT>` | Custom output format [default: `{scheme}://{host}{path}`] |
| '--domain'          | Extract and display the domain                            |


### Custom Output Format
When using `--custom` and `--format`, you can use the following placeholders:
- `{scheme}`
- `{username}`
- `{host}`
- `{domain}`
- `{port}`
- `{path}`
- `{query}`
- `{fragment}`
