---
obj: application
repo: https://github.com/charmbracelet/skate
---

# 🛼 skate
A personal key-value store.

![Image](./skate.png)

## Usage
Usage: `skate [command]`

### KeyValues
Set a value for a key with an optional `@` db. If `VALUE` is omitted, read value from the standard input:
```sh
# Usage: skate set KEY[@DB] [VALUE] [flags]

skate set foo@mydb bar
skate set foo < ./bar.txt
```

Get a value for a key with an optional `@` db:
```shell
# Usage: skate get KEY[@DB]
skate get foo@mydb
```

Delete a key with an optional `@` db:
```shell
# Usage: skate delete KEY[@DB]
skate delete foo@mydb
```

List key value pairs with an optional `@` db:
```shell
# Usage: skate list [@DB] [flags]

# Options:
#  -d, --delimiter string   delimiter to separate keys and values (default "\t")
#  -k, --keys-only          only print keys and don't fetch values from the db
#  -r, --reverse            list in reverse lexicographic order
#  -b, --show-binary        print binary values
#  -v, --values-only        only print values

skate list @mydb
```

### Databases
List databases:
```shell
skate list-dbs
```

Delete a database:
```shell
skate delete-db @mydb
```
