---
website: https://element.io/
obj: application
android-id: im.vector.app
flatpak-id: im.riot.Riot
---

# Element
Element is a versatile messaging application built on the [Matrix](../web/Matrix.md) communication protocol. [Matrix](../web/Matrix.md) is an open standard for decentralized, real-time communication.

![Screenshot](./element.avif)

## Docker Compose
docker-compose.yml:
```yaml
version: "3"

services:
  element:
    image: vectorim/element-web:latest
    restart: unless-stopped
    volumes:
      - ./element-config.json:/app/config.json
    ports:
      - 8038:80
```

element-config.json:
```json
{
    "default_server_config": {
        "m.homeserver": {
            "base_url": "https://yourserver.com",
            "server_name": "yourserver.com"
        },
        "m.identity_server": {
            "base_url": "https://vector.im"
        }
    },
    "disable_custom_urls": false,
    "disable_guests": false,
    "disable_login_language_selector": false,
    "disable_3pid_login": false,
    "brand": "Element",
    "integrations_ui_url": "https://scalar.vector.im/",
    "integrations_rest_url": "https://scalar.vector.im/api",
    "integrations_widgets_urls": [
"https://scalar.vector.im/_matrix/integrations/v1",
        "https://scalar.vector.im/api",
        "https://scalar-staging.vector.im/_matrix/integrations/v1",
        "https://scalar-staging.vector.im/api",
        "https://scalar-staging.riot.im/scalar/api"
    ],
    "bug_report_endpoint_url": "https://element.io/bugreports/submit",
    "uisi_autorageshake_app": "element-auto-uisi",
    "default_country_code": "DE",
    "show_labs_settings": false,
    "features": { },
    "default_federate": true,
    "default_theme": "dark",
    "room_directory": {
        "servers": [
            "matrix.org"
        ]
    },
    "enable_presence_by_hs_url": {
        "https://matrix.org": false,
        "https://matrix-client.matrix.org": false
    },
    "setting_defaults": {
        "breadcrumbs": true
    },
    "jitsi": {
        "preferred_domain": "meet.element.io"
    },
    "map_style_url": "https://api.maptiler.com/maps/streets/style.json?key=fU3vlMsMn4Jb6dnEIFsx"
}
```
