---
obj: application
flatpak-id: org.sqlitebrowser.sqlitebrowser
website: https://sqlitebrowser.org
repo: https://github.com/sqlitebrowser/sqlitebrowser
---
# DB Browser for SQLite
_DB Browser for SQLite_ (DB4S) is a high quality, visual, open source tool to create, design, and edit database files compatible with [SQLite](../../dev/programming/SQLite.md).

DB4S is for users and developers who want to create, search, and edit databases. DB4S uses a familiar spreadsheet-like interface, and complicated [SQL](../../dev/programming/languages/SQL.md) commands do not have to be learned.

Controls and wizards are available for users to:

- Create and compact database files
- Create, define, modify and delete tables
- Create, define, and delete indexes
- Browse, edit, add, and delete records
- Search records
- Import and export records as text
- Import and export tables from/to [CSV](../../files/CSV.md) files
- Import and export databases from/to [SQL](../../dev/programming/languages/SQL.md) dump files
- Issue [SQL](../../dev/programming/languages/SQL.md) queries and inspect the results
- Examine a log of all [SQL](../../dev/programming/languages/SQL.md) commands issued by the application
- Plot simple graphs based on table or query data

![Screenshot](./db_browser_for_sqlite.avif)
