---
obj: application
website: https://www.mongodb.com/products/tools/compass
repo: https://github.com/mongodb-js/compass
---

# MongoDB Compass
Compass is a free interactive tool for querying, optimizing, and analyzing your [MongoDB](MongoDB.md) data. Get key insights, drag and drop to build pipelines, and more.

![Screenshot](./mongodb_compass.avif)

### 1. **Intuitive User Interface**
MongoDB Compass features an intuitive and user-friendly interface, making it accessible to both beginners and experienced MongoDB users. The GUI simplifies complex database interactions, allowing users to perform various tasks with ease.
### 2. **Visual Data Exploration**
- **Graphical Schema View:** Visualize the structure of your MongoDB collections and relationships between documents.
- **Real-time Performance Statistics:** Monitor the performance of your queries and operations with visual feedback.
### 3. **Query Building and Execution**
- **Query Builder:** Construct MongoDB queries using a visual drag-and-drop interface.
- **Real-time Query Execution:** Execute queries and view results instantly, helping users fine-tune their queries.
### 4. **Index Management**
- **Index Optimization:** Analyze and optimize indexes for improved query performance.
- **Index Creation:** Create and manage indexes directly within the Compass interface.
### 5. **Aggregation Pipeline Builder**
- **Visual Aggregation Pipeline:** Build and analyze [MongoDB](MongoDB.md) aggregation pipelines using a visual interface.
- **Pipeline Execution:** Execute aggregation pipelines and observe results in real-time.
