---
website: ["https://code.visualstudio.com/", "https://vscodium.com/"]
obj: application
flatpak-id: com.vscodium.codium
rev: 2024-09-19
---

# Visual Studio Code
Visual Studio Code (VSCode) is a free and open-source code editor developed by Microsoft. It provides a highly customizable and feature-rich environment for coding, debugging, and extension development.

![Screenshot](./visual_studio_code.avif)

## Features
### 1. **Multi-Language Support:**
VSCode supports a wide range of programming languages out of the box and can be extended for additional language support.
### 2. **IntelliSense:**
Intelligent code completion and suggestions enhance the coding experience.
### 3. **Built-in Git Integration:**
Seamless integration with Git allows version control operations directly within the editor.
### 4. **Extensions Marketplace:**
A vast marketplace offers a variety of extensions to enhance functionality and support various languages and frameworks.
### 5. **Debugging Tools:**
VSCode provides built-in debugging support for multiple languages and environments.

## Extensions
- [rust-analyzer](https://marketplace.visualstudio.com/items?itemName=rust-lang.rust-analyzer): This extension provides support for the Rust programming language.
- [GitLens](https://marketplace.visualstudio.com/items?itemName=eamodio.gitlens): GitLens supercharges your Git experience in VS Code.
- [Remote - SSH](https://marketplace.visualstudio.com/items?itemName=ms-vscode-remote.remote-ssh): The Remote - SSH extension lets you use any remote machine with a SSH server as your development environment.
- [Prettier](https://marketplace.visualstudio.com/items?itemName=esbenp.prettier-vscode): Prettier is an opinionated code formatter.
- [YAML](https://marketplace.visualstudio.com/items?itemName=redhat.vscode-yaml): Provides comprehensive YAML Language support.
- [Ansible](https://marketplace.visualstudio.com/items?itemName=redhat.ansible): This extension adds language support for Ansible.
- [Python](https://open-vsx.org/extension/ms-python/python): A Visual Studio Code extension with rich support for the Python language.
- [Flutter](https://open-vsx.org/extension/Dart-Code/flutter): This VS Code extension adds support for effectively editing, refactoring, running, and reloading Flutter mobile apps.
- [Docker](https://open-vsx.org/extension/ms-azuretools/vscode-docker): The Docker extension makes it easy to build, manage, and deploy containerized applications from Visual Studio Code.
- [Dart](https://open-vsx.org/extension/Dart-Code/dart-code): Dart Code extends VS Code with support for the Dart programming language.
- [Better TOML](https://open-vsx.org/extension/bungcip/better-toml): Better TOML is vs code extension to support TOML file.
- [Error Lens](https://open-vsx.org/extension/usernamehw/errorlens): ErrorLens turbo-charges language diagnostic features by making diagnostics stand out more prominently, highlighting the entire line wherever a diagnostic is generated by the language and also prints the message inline.
- [Foam](https://open-vsx.org/extension/foam/foam-vscode): Foam is a note-taking tool that lives within VS Code, which means you can pair it with your favorite extensions for a great editing experience.
- [JSON Schema Store Catalog](https://open-vsx.org/extension/remcohaszing/schemastore): This extension provides all JSON schemas from the [JSON Schema Store](https://www.schemastore.org) catalog.
- [night blossom](https://open-vsx.org/extension/RustedTurnip/night-blossom): VSCode Theme.

## Keyboard Shortcuts
- `Ctrl + -`: Comment / Uncomment line
- `Ctrl + P`: Quick Open / Commands
- `Alt + ↓ / ↑`: Move line down/up
- `Ctrl + Shift + K`: Delete line
