---
obj: application
website: https://www.bugsink.com
repo: https://github.com/bugsink/bugsink
---

# Bugsink
Self‑Hosted Error Tracking, Sentry‑SDK Compatible

## Usage
### Rust
Add `sentry` to your `Cargo.toml`:

```toml
[dependencies]
sentry = "0.41.0"
```

Initialize sentry before any other `main`:

```rs
fn main() {
    let _guard = sentry::init((
        "<YOUR_DSN>",
        sentry::ClientOptions {
            release: sentry::release_name!(),
            send_default_pii: true,
            ..Default::default()
        },
    ));

    tokio::runtime::Builder::new_multi_thread()
        .enable_all()
        .build()
        .unwrap()
        .block_on(async_main());
}
```
