---
obj: application
repo: https://github.com/neuromeow/licensit
rev: 2025-01-31
---

# licensit
`licensit` is a command-line tool to create LICENSE files.

### Supported licenses

- GNU Affero General Public License v3.0 (AGPL-3.0)
- Apache License 2.0 (Apache-2.0)
- BSD 2-Clause “Simplified” License (BSD-2-Clause)
- BSD 3-Clause “New” or “Revised” License (BSD-3-Clause)
- Boost Software License 1.0 (BSL-1.0)
- Creative Commons Zero v1.0 Universal (CC0-1.0)
- Eclipse Public License 2.0 (EPL-2.0)
- GNU General Public License v2.0 (GPL-2.0)
- GNU General Public License v3.0 (GPL-3.0)
- GNU Lesser General Public License v2.1 (LGPL-2.1)
- MIT License (MIT)
- Mozilla Public License 2.0 (MPL-2.0)
- The Unlicense (Unlicense)

## Usage
`licensit` simplifies the process of creating and managing license files for your projects.

### Listing Available Licenses
```
licensit list
```

Shows all supported licenses.

### Showing License Content
To view the content of a specific license with the author and year filled in:

```
licensit show [LICENSE] [--user USER] [--year YEAR]
```

- `[LICENSE]`: The ID of the license you want to display (for example, `mit`, `apache-2.0`)
- `--user [USER]`: Specifies the license holder's name. If not provided, `licensit` will use the following sources in order to determine the user name:
  - `LICENSE_AUTHOR` environment variable
  - `user.name` entry in the `$HOME/.gitconfig` file
  - Username associated with the current effective user ID
- `--year [YEAR]`: Sets the year during which the license is effective. Defaults to the current year if not specified

To display just the template of a license (without any specific user or year information):

```
licensit show [LICENSE] --template
```

- `[LICENSE]`: The ID of the license whose template you want to display (for example, `mit`, `apache-2.0`)
- `--template`: Displays the license template with placeholders for the user and year. This option cannot be used with `--user` or `--year`

### Adding a License to Your Project
To add a license file to your current directory:

```
licensit add [LICENSE] [--user USER] [--year YEAR]
```

Creates a `LICENSE` file in the current directory with the specified details.
