---
obj: application
repo: https://github.com/flightlessmango/MangoHud
arch-wiki: https://wiki.archlinux.org/title/MangoHud
---

# MangoHUD
MangoHud is a Vulkan and OpenGL overlay for monitoring system performance while inside applications and to record metrics for benchmarking.

## Configuration
MangoHud is configured via the following files, which are read in the following order:

- `$XDG_CONFIG_HOME/MangoHud/MangoHud.conf`
- `$XDG_CONFIG_HOME/MangoHud/APPLICATION-NAME.conf` (case-sensitive)
- `$XDG_CONFIG_HOME/MangoHud/wine-APPLICATION-NAME.conf` (for Wine applications, case-sensitive, without the .exe extension)
- `./MangoHud.conf`
- `$MANGOHUD_CONFIGFILE` (via environment variables)

> Tip: An example configuration file with comments can be found in the project's repository.

## Usage
### Keyboard commands
- `RShift+F12` – Toggle overlay
- `RShift+F11` – Change overlay position
- `RShift+F10` – Toggle preset
- `LShift+F2` – Toggle logging
- `LShift+F4` – Reload config

### Test configuration
Verify if the program has been setup correctly:

```
$ mangohud glxgears
$ mangohud vkcube
```

### Run a single game
To run a game with MangoHud start it like this:

```
$ mangohud game
```

### Dynamic hooking
Certain applications may require a special type of hooking, which can be specified via the `--dlsym` parameter or the `MANGOHUD_DLSYM` environment variable:

```
$ mangohud --dlsym game
```

### Use with GameMode
To launch a game with both MangoHud and GameMode, chain the two commands into a single one, like this:

```
$ mangohud gamemoderun game
```

### Run a single steam game
To make Steam start a game with MangoHud, right click the game in the Library, select Properties..., then in the Launch Options text box enter:

```
mangohud %command%
```

### Run Steam with MangoHud
To avoid having to change launch options for all games, you may launch Steam directly with MangoHud:

```
$ mangohud steam-runtime
```

MangoHud will detect Steam and will avoid loading itself until a game is launched.

### Enable for all Vulkan games
To make MangoHud automatically launch with all Vulkan games, it is possible to set the following environment variable:

```
MANGOHUD=1
```
