---
obj: application
repo: https://github.com/nowrep/dualsensectl
---

# dualsensectl

Linux tool for controlling Sony PlayStation 5 DualSense controller.

## Usage

Usage: `dualsensectl [options] command [ARGS]`

### Options

| Option      | Description                                       |
| ----------- | ------------------------------------------------- |
| `-l`        | List available devices                            |
| `-d DEVICE` | Specify which device to use                       |
| `-w`        | Wait for shell command to complete (monitor only) |

### Commands

Available Commands:

- `power-off`: Turn off the controller (BT only),
- `battery`: Get the controller battery level,
- `info`: Get the controller firmware info,
- `lightbar STATE`: Enable (on) or disable (off) lightbar,
- `lightbar RED GREEN BLUE [BRIGHTNESS]`: Set lightbar color and brightness (0-255),
- `player-leds NUMBER`: Set player LEDs (1-5) or disabled (0),
- `microphone STATE`: Enable (on) or disable (off) microphone,
- `microphone-led STATE`: Enable (on) or disable (off) microphone LED,
- `speaker STATE`: Toggle to `internal` speaker, `headphone` or both,
- `volume VOLUME`: Set audio volume (0-255) of internal speaker and headphone,
- `attenuation RUMBLE TRIGGER`: Set the attenuation (0-7) of rumble/haptic motors and trigger vibration,
- `trigger TRIGGER off`: Remove all effects,
- `trigger TRIGGER feedback POSITION STRENGTH`: Set a resistance starting at position with a defined strength,
- `trigger TRIGGER weapon START STOP STRENGTH`: Emulate weapon like gun trigger,
- `trigger TRIGGER bow START STOP STRENGTH SNAPFORCE`: Emulate weapon like bow,
- `trigger TRIGGER galloping START STOP FIRST_FOOT SECOND_FOOT FREQUENCY`: Emulate a galloping,
- `trigger TRIGGER machine START STOP STRENGTH_A STRENGTH_B FREQUENCY PERIOD`: Switch vibration between two strengths at a specified period,
- `trigger TRIGGER vibration POSITION AMPLITUDE FREQUENCY`: Vibrates motor arm around specified position,
- `trigger TRIGGER feedback-raw STRENGTH[10]`: Set a resistance starting using an array of strength,
- `trigger TRIGGER vibration-raw AMPLITUDE[10] FREQUENCY`: Vibrates motor arm at position and strength specified by an array of amplitude,
- `trigger TRIGGER MODE [PARAMS]`: Set the trigger (left, right or both) mode with parameters (up to 9),
- `monitor [add COMMAND] [remove COMMAND]`: Run shell command COMMAND on add/remove events.
