---
obj: application
website: https://natrongithub.github.io
flatpak-id: fr.natron.Natron
---

# Natron
Natron is a powerful Digital Compositor that can handle all of your 2D/2.5D needs. Its robust OIIO file formats and OpenFX architecture is what make Natron the most flexible open source compositor for the visual effects community. Its interface and functionally are the same across all platforms such as [macOS](../../macos/macOS.md), [Linux](../../linux/Linux.md) and [Windows](../../windows/Windows.md). Natron has a powerful keying, roto/rotopaint, 2D tracking tools that are staple for all current film production project that requires visual effects.

![Screenshot](./natron.avif)

## Features
- **Intuitive user interface**: Natron aims not to break habits by providing an intuitive and familiar user interface.  It is possible to separate on any number of screens the graphical user interface. It supports _Retina_ screens on [macOS](../../macos/macOS.md).
- **Performances:**  Never wait for anything to be rendered, in Natron anything you do produces real-time feedback thanks to its optimized multi-threaded rendering pipeline and its support for proxy rendering (i.e: the render pipeline can be computed at lower res to speed-up rendering).
- **Multi-task**: Natron can render multiple graphs at the same time and make use of 100% of the compute power of your CPU.
- **Network rendering**: Natron can be used as a command-line tool and can be integrated on a render farm manager such as [Afanasy](http://cgru.info/home).
- **NatronRenderer:** A command line tool for execution of project files and [python](../../dev/programming/languages/Python.md) scripts. The command line version is executable from [ssh](../network/SSH.md) on a computer without any display.
- **Fast & interactive Viewer** – Smooth & accurate  zooming/panning even for very large image sizes (tested on 27k x 30k images).
- **Real-time playback**: Natron offers  a real-time playback with thanks to its RAM/Disk cache technology. Once a frame is rendered, it can be reproduced instantly afterwards, even for large image sizes.
- **Low hardware requirements:** All you need is an x86 64 bits or 32 bits processor, at least 3 GB of RAM and a graphic card that supports OpenGL 1.5+ with some extensions.
- **Motion editing**: Natron offers a simple and efficient way to deal with keyframes with a very accurate and intuitive curve editor. You can set expressions on animation curves to create easy and believable motion for objects. Natron also incorporates a fully featured dope-sheet to quickly edit clips and keyframes in time-space.
- **Multi-view workflow:** Natron saves time by keeping all the views in the same stream. You can separate the views at any time with the OneView node.
- **Rotoscoping/Rotopainting**: Edit your masks and animate them to work with complex shots
- **Tracker node:** A point tracker is  embedded in Natron to track multiple points. Version 2.1 of Natron will incorporate the Tracker from [Blender](../3d/Blender.md).
