---
website: https://obsproject.com/
obj: application
flatpak-id: com.obsproject.Studio
---

# OBS
OBS Studio, short for Open Broadcaster Software, is a free and open-source software suite for video recording and live streaming. It is widely used by content creators, gamers, and professionals for capturing, broadcasting, and editing multimedia content. Additionally you can use the Viewport of OBS as a Virtual Camera for use in other applications.

![Screenshot](./obs.webp)

## Features
### 1. **Video Recording**
OBS Studio allows users to capture high-quality video footage from their screens, cameras, and other sources. It supports various codecs and formats, giving users flexibility in choosing the output settings.
### 2. **Live Streaming**
One of OBS Studio's primary purposes is to facilitate live streaming to platforms like Twitch, YouTube, and Facebook. Users can easily configure stream settings, including bitrate, resolution, and streaming platform integration.
### 3. **Scene Composition**
OBS uses a scene-based workflow, enabling users to create and switch between different scenes seamlessly. Each scene can contain multiple sources, such as video captures, images, text overlays, and more. Scenes can also be exported and reimported.
### 4. **Audio Mixing**
The software provides robust audio mixing capabilities, allowing users to capture and mix audio from different sources. This includes microphones, system sounds, and additional audio inputs.
### 5. **Transitions and Effects**
Users can add transitions between scenes and apply various filters and effects to enhance the visual appeal of their content. OBS Studio supports scene transitions like fades and slides, as well as filters for color correction, chroma keying, and more.
### 6. **Plugin Support**
OBS Studio is extensible through plugins, which enhance its functionality. Users can install plugins for additional features, integrations, and customizations to suit their specific needs.
### 7. **Cross-Platform Compatibility**
OBS Studio is available for Windows, macOS, and Linux, making it accessible to a broad range of users regardless of their operating system.

## Sources
Sources are the building blocks of scenes.

### Groups
Groups can be used to group multiple sources together or apply filters to all of them.

### Audio Input Capture
Record any input audio source (like a microphone)

### Audio Output Capture
Record any output audio source (like the desktop audio)

### Browser
The browser source lets you add a local file or webpage to your scene.

Options:

| Option     | Description                 |
| ---------- | --------------------------- |
| URL        | URL for the browser         |
| Width      | The browser width           |
| Height     | The browser height          |
| FPS        | Browser framerate           |
| Custom CSS | Embed custom CSS in webpage |

### Color Source
Let you put a static color into your scene.

### Image
Embed an image into your scene.

### Media Source
This lets you embed a media source (like a video) into your scene.

Options:

| Option     | Description    |
| ---------- | -------------- |
| Local File | File to play   |
| Loop       | Enable looping |
| Speed      | Playback Speed |

### Scene
This lets you embed a scene recursively into another scene.

### Screen Capture
Captures your screen. Implementation is platform specific.

### Text
Show text in your scene.

### Video Capture Device
Record any video input device (like a webcam or capture card)

### Window Capture
Similiar to Screen Capture, this lets you capture a single window into your scene.

## Filters
You can apply filters to your sources.

Audio Filters:
- 3-Band Equalizer
- Compressor
- Expander
- Gain
- Invert Polarity
- Limiter
- Noise Gate
- Noise Suppression
- Upward Compressor
- VST 2.x Plug-in

Video Filters:
- Apply LUT
- Chroma Key
- Color Correction
- Color Key
- Crop/Pad
- HDR Tone Mapping
- Image Mask/Blend
- Luma Key
- Render Delay
- Scaling/Aspect Ratio
- Scroll
- Sharpen

## Transitions
Transitions allow you to animate scene changes.

Transitions:
- Swipe
- Slide
- Fade to Color
- Luma Wipe
- Stinger Transition

### Stinger Transition
Stinger Transitions let you use your own custom video file as a transition. This allows for more complex transitions to be rendered in an editing program. You have to specify the video file and the point in time when the scenes should be swaped.
