---
obj: application
repo: https://github.com/zmwangx/metadata
---

# metadata
`metadata` is a media metadata parser and formatter designed for human consumption. Powered by FFmpeg.

Example:

```
$ metadata '20160907 Apple Special Event.m4v'
Title:                  Apple Special Event, September 2016 (1080p)
Filename:               20160907 Apple Special Event.m4v
File size:              6825755188 (6.83GB, 6.36GiB)
Container format:       MPEG-4 Part 14 (M4V)
Duration:               01:59:15.88
Pixel dimensions:       1920x800
Sample aspect ratio:    1:1
Display aspect ratio:   12:5
Scan type:              Progressive scan*
Frame rate:             29.97 fps
Bit rate:               7631 kb/s
    #0: Video, H.264 (High Profile level 4), yuv420p, 1920x800 (SAR 1:1, DAR 12:5), 29.97 fps, 7500 kb/s
    #1: Audio (und), AAC (LC), 48000 Hz, stereo, 125 kb/s
    #2: Subtitle (eng), EIA-608 closed captions

```

Compare this to `ffprobe` or `mediainfo` (both great tools, just not so human-readable):

## Usage
```
$ metadata -h
metadata 0.1.4
Zhiming Wang <metadata@zhimingwang.org>
Media file metadata for human consumption.

USAGE:
    metadata [FLAGS] <FILE>...

FLAGS:
    -A, --all-tags    Print all metadata tags
    -c, --checksum    Include file checksum(s)
    -h, --help        Prints help information
    -s, --scan        Decode frames to determine scan type (slower, but determines interlaced more accurately; see man
                      page for details)
    -t, --tags        Print metadata tags, except mundane ones
    -V, --version     Prints version information

ARGS:
    <FILE>...    Media file(s)
```
