---
obj: application
repo: https://github.com/comfyanonymous/ComfyUI
website: https://www.comfy.org
---

# ComfyUI
ComfyUI is an open-source diffusion model GUI, API, and backend with a graph/nodes interface. It is designed to be highly modular and customizable. It is primarily used for AI Image Generation using diffuser models.

## Features
- Modular design: ComfyUI allows you to customize the interface and add or remove features (nodes) as needed.
- Diffusion models: The application supports various types of diffusion models, enabling users to perform tasks such as image-to-image translation and text-to-image synthesis.
- Graph/nodes interface: A visual representation of the model's architecture, allowing for easier understanding and manipulation.

## Docker-Compose
Setting up ComfyUI can be done with this docker-compose.yml and this [git repo](https://github.com/AbdBarho/stable-diffusion-webui-docker)

```yml
services:
  stable-diffusion-download:
    build: ./stable-diffusion-webui-docker/services/download/
    image: comfy-download
    environment:
      - PUID=1001
      - PGID=1001
    volumes:
      - /etc/localtime:/etc/localtime:ro
      - /etc/timezone:/etc/timezone:ro
      - ./stable-diffusion-webui-docker/data:/data

  stable-diffusion-webui:
    build: ./stable-diffusion-webui-docker/services/comfy/
    image: comfy-ui
    environment:
      - PUID=1001
      - PGID=1001
      - CLI_ARGS=
    volumes:
      - /etc/localtime:/etc/localtime:ro
      - /etc/timezone:/etc/timezone:ro
      - ./stable-diffusion-webui-docker/data:/data
      - ./stable-diffusion-webui-docker/output:/output
    stop_signal: SIGKILL
    tty: true
    deploy:
      resources:
        reservations:
          devices:
            - driver: nvidia
              device_ids: ['0']
              capabilities: [compute, utility]
    restart: unless-stopped
    ports:
      - "7860:7860"
```
