---
obj: application
repo: https://github.com/louislam/uptime-kuma
website: https://uptime.kuma.pet/
---
# Uptime Kuma
Uptime Kuma is an easy-to-use self-hosted monitoring tool.

## Features
- Monitoring uptime for [HTTP](../../internet/HTTP.md)(s) / [TCP](../../internet/TCP.md) / [HTTP](../../internet/HTTP.md)(s) Keyword / [HTTP](../../internet/HTTP.md)(s) [Json](../../files/JSON.md) Query / Ping / [DNS](../../internet/DNS.md) Record / Push / Steam Game Server / [Docker](../../tools/Docker.md) Containers
- Fancy, Reactive, Fast UI/UX
- Notifications via Telegram, [Discord](../communication/Discord.md), Gotify, Slack, Pushover, [Email](../../internet/eMail.md) ([SMTP](../../internet/SMTP.md)), and 90+ notification services
- 20-second intervals
- Multiple status pages
- Map status pages to specific domains
- Ping chart
- Certificate info
- Proxy support

![Screenshot](./uptime_kuma.avif)

## Docker-Compose
To run this use this Docker-Compose file:
```yaml
version: '3.3'
services:
  uptime-kuma:
    image: louislam/uptime-kuma
    volumes:
      - ./data:/app/data
    ports:
      - 3001:3001
    restart: unless-stopped
    environment:
      - TZ=Europe/Berlin
```
