---
obj: application
website: https://owncast.online
repo: https://github.com/owncast/owncast
---

# ownCast

**Owncast** is an open-source, self-hosted live video and web chat server. It allows anyone to run their own streaming platform similar to Twitch or YouTube Live — without relying on centralized services. Whether you're streaming games, music, art, or hosting online events, Owncast provides you with full control over your content and audience experience.

## 🚀 Key Features

* **Live Video Streaming**
  Stream using standard broadcasting software like OBS Studio, directly to your Owncast server using RTMP.

* **Integrated Web Chat**
  Built-in, real-time chat with emoji, moderation tools, and custom branding options.

* **Web Interface**
  A responsive, customizable frontend for viewers, including live status, video, chat, and stream details.

* **Federation**
  Supports ActivityPub to interact with Fediverse platforms like Mastodon — followers can get stream notifications and interact directly from their accounts.

* **Analytics Dashboard**
  Provides stream statistics, viewer counts, and chat activity for monitoring performance and engagement.

* **Custom Branding**
  Modify logos, color themes, titles, descriptions, and more for a personalized experience.

* **Plugins and Integrations**
  Extend functionality using community-developed or custom plugins via [owncast/extensions](https://github.com/owncast/extensions).

## 🎙 Broadcasting to Owncast

To broadcast:

1. Open your streaming software (OBS, etc.)
2. Set **Stream URL** to your Owncast server’s RTMP endpoint (e.g., `rtmp://yourdomain.com/live`)
3. Set **Stream Key** to the value configured in Owncast's admin panel
4. Start streaming!

## ⚙ Configuration

After setup, visit the **Admin Panel** at `http://yourdomain.com/admin`:

* Change stream key, server name, description
* Manage chat settings and moderation tools
* Configure federation and stream notifications
* Customize branding and stream appearance

## Compose

```yml
version: "3"
services:
  owncast:
    image: owncast/owncast:latest
    ports:
      - "8080:8080"
      - "1935:1935"
    volumes:
      - ./data:/app/data
```
