---
obj: os
wiki: https://en.wikipedia.org/wiki/OPNsense
website: https://opnsense.org
---

# OPNsense
OpnSense is an open-source firewall and routing platform based on FreeBSD.

## Features
1. **User-Friendly Interface**: Modern and intuitive web-based interface.
2. **Comprehensive Security Features**:
   - Stateful firewall with NAT support.
   - Intrusion Detection and Prevention System (IDS/IPS).
   - Two-Factor Authentication (2FA).
   - Extensive VPN support (IPsec, OpenVPN, [WireGuard](../applications/network/WireGuard.md)).
3. **Extensive Plugins and Packages**: Modular approach with plugins for added functionality (e.g., web filtering, proxy services).
4. **Traffic Shaping and QoS**: Manage and prioritize network traffic.
5. **High Availability and Failover**: CARP for redundancy and failover.
6. **Extensive Monitoring and Reporting**: Tools like NetFlow, IPFIX, and sFlow for traffic analysis.
9. **Configuration Backup and Restore**: Encrypted backups for disaster recovery.
10. **Advanced Networking Features**:
    - Dynamic [DNS](../internet/DNS.md) support.
    - Captive Portal with RADIUS authentication.
    - Multi-WAN load balancing and failover.
