---
obj: device
website: https://www.playstation.com/en-us/accessories/dualsense-wireless-controller
rev: 2024-09-09
---

# PS5 DualSense Controller
The **DualSense Wireless Controller** is Sony’s official gamepad for the PlayStation 5 (PS5), designed to offer an immersive gaming experience by enhancing tactile feedback and interactivity. Introduced alongside the PS5 in November 2020, the DualSense controller is a significant evolution from its predecessor, the DualShock 4, incorporating several new technologies that enhance gameplay.

![Device](./dualsense5.avif)

## Features

### **Haptic Feedback**
The DualSense controller features **advanced haptic feedback**, which allows players to experience in-game actions and environments with greater physical sensation. Instead of the traditional rumble motors found in older controllers, the DualSense uses dual actuators to produce more varied and precise vibrations, allowing players to feel the texture of surfaces, impacts, and even environmental effects like rain.

### **Adaptive Triggers**
- **L2 and R2 triggers** are equipped with adaptive resistance, offering variable tension based on in-game actions. For example, the triggers can simulate the tension of drawing back a bowstring or the pressure of accelerating a car, adding a new layer of immersion.
- Developers can adjust the resistance in these triggers dynamically, enhancing gameplay by making it feel more responsive to different in-game scenarios.

### **Built-in Microphone and Headset Jack**
- The DualSense controller has a **built-in microphone** array, allowing players to communicate with others without the need for an external headset.
- It also retains a **3.5mm headset jack**, enabling users to plug in their own headphones for in-game audio or voice chat.

### **Improved Ergonomics**
- The DualSense features a more ergonomic design than its predecessors, with slightly larger handles and a rounded shape for improved comfort during long gaming sessions.
- The textured grip on the back features tiny PlayStation symbols (circle, triangle, square, and cross) for enhanced hold.

### **Motion Sensors**
- Similar to the DualShock 4, the DualSense includes a built-in **six-axis motion sensor**, consisting of a gyroscope and accelerometer. This enables motion controls in compatible games for intuitive interactions.

### **Integrated Speaker**
- An **integrated speaker** adds to the immersion by allowing specific in-game sounds, like radio chatter or environmental noises, to come directly from the controller, complementing the TV or headset audio.

### **USB-C Port and Improved Battery**
- The DualSense is charged via a **USB-C port**, providing faster charging compared to the Micro-USB used in the DualShock 4.
- Equipped with a larger **rechargeable battery**, the controller offers longer playtime between charges, although battery life varies depending on the use of haptic feedback and adaptive triggers.

### **Touchpad**
- The DualSense retains the **touchpad** from the DualShock 4, allowing for swipe gestures and other interactive gameplay elements. The touchpad is now more responsive and also functions as a large button.

### **Light Bar**
- The **light bar** has been relocated to the sides of the touchpad, giving it a more subtle glow. It is used to indicate player number, game state, and other contextual information.

## Bluetooth
Hold the "Create" button (next to the touchpad) and the "PS" button on the controller until the light bar begins to blink rapidly to pair. Then select the DualSense controller from the list of available devices.

## Power
To power off the controller hold the "PS" button for 10 seconds until the light goes off.

## Linux
The DualSense controller can be used on [Linux](../linux/Linux.md) via both Bluetooth and USB connections. It is natively recognized as a gamepad on modern Linux distributions.

Additional features:
- Audio Output via the Controller - The DualSense controller features a 3.5mm headphone jack, which can be used as an additional audio output device in Linux. You can route system sounds, game audio, or voice chat directly to the controller’s headphone jack.
- Touchpad as a Mouse - The DualSense controller's touchpad can be configured to function as a mouse input device on Linux. This makes the controller even more useful, allowing you to navigate your system's UI or control in-game interfaces without switching to a separate input device.
