---
obj: device
website: https://pikvm.org
source: https://docs.pikvm.org
rev: 2024-04-03
---

# PiKVM
PiKVM is a very simple and fully functional Raspberry Pi-based [KVM](../tools/KVM%20Switch.md) over IP that you can make with your own hands without any soldering!

This device helps to manage servers or workstations remotely, regardless of the health of the operating system or whether one is installed. You can fix any problem, configure the BIOS, and even reinstall the OS using the virtual CD-ROM or Flash Drive.

## Features
- **Easy to build**: A ready-to-use OS images and friendly build environment. The hardware can be made in half an hour and without soldering.
- **Very low video latency**: ~100 milliseconds of video latency. This is the smallest delay of all existing solutions.
- **Extra lightweight Web UI and VNC**: No weird proprietary clients. No ugly applets. Just use your favorite browser to connect to the PiKVM. No flash plugins either! Ah, and VNC is also supported.
- **Keyboard & mouse**: Mouse usage works directly in the browser. The keyboard emulator supports displaying the state of the keyboard LEDs.
- **Mass Storage Drive**: On the [Raspberry Pi 4](Raspberry%20Pi%204.md) and Zero 2 W, PiKVM can emulate a virtual CD-ROM or Flash Drive. A live image can be uploaded to boot the attached server.
- **ATX power management**: With a very simple circuit that can be assembled on a breadboard, the power button of the attached server can be controlled using the ATX button headers on the motherboard.
- **Security**: PiKVM can be opened to the Internet and no one will get access without the authorization. SSL is used to protect traffic from being intercepted by third parties.
- **Local monitoring**: PiKVM monitors the health of the Raspberry Pi board and will warn you if it's too hot or is not receiving enough power.
- **GPIO management**: You can control GPIO and USB relays via the web interface. The extensible interface allows you to make anything out of it.



