---
obj: device
website: https://www.raspberrypi.com/products/raspberry-pi-pico
rev: 2024-03-03
---

# Raspberry Pi Pico W
The Raspberry Pi Pico W is a microcontroller board developed by the Raspberry Pi Foundation, building upon the success of the original Raspberry Pi Pico. The "W" in its name stands for "wireless," indicating the inclusion of built-in wireless connectivity options, specifically Wi-Fi and Bluetooth, which were absent in the original Pico.

![Device](./raspberry_pi_pico_w.avif)

## Features
- **RP2040 Microcontroller**: Like its predecessor, the Raspberry Pi Pico W is powered by the RP2040 microcontroller chip, developed by Raspberry Pi. This dual-core ARM Cortex-M0+ processor provides ample processing power for various embedded applications.
- **Wireless Connectivity**: The key feature of the Pico W is its built-in wireless connectivity options, including Wi-Fi and Bluetooth. This enables seamless integration with IoT (Internet of Things) projects and allows for wireless communication with other devices and networks.
- **Compact Form Factor**: The Pico W maintains the same compact form factor as the original Pico, making it suitable for embedding into small projects and prototypes.
- **Expansion Headers**: Similar to the original Pico, the Pico W features expansion headers that expose GPIO (General-Purpose Input/Output) pins, SPI (Serial Peripheral Interface), I2C (Inter-Integrated Circuit), UART (Universal Asynchronous Receiver-Transmitter), and other interfaces, enabling connectivity with various sensors, actuators, and peripherals.
- **USB Connectivity**: The Pico W retains USB connectivity for power and data transfer, allowing it to be easily programmed and powered via USB.
- **Programmability**: Like the original Pico, the Pico W can be programmed using MicroPython, C/C++, and other programming languages, providing flexibility and accessibility for developers and makers.

## Flash Firmware
Connect the Pico to your computer using a USB cable. Then, to enter bootloader mode, hold down the `BOOTSEL` button on the Pico while plugging in the USB cable.
Once in bootloader mode the Pico will appear as USB Storage, transfer your code onto the Pico by dragging and dropping the file onto it. The Pico will restart and run the code from then.
