---
obj: device
website: https://www.raspberrypi.com/products/raspberry-pi-zero-2-w
---

# Raspberry Pi Zero 2 W
The **Raspberry Pi Zero 2 W** is a compact and affordable single-board computer developed by the Raspberry Pi Foundation. Released in October 2021, it builds on the success of the original Raspberry Pi Zero and Zero W models, offering significant improvements in performance while maintaining a small form factor. It’s an excellent choice for hobbyists, educators, and developers looking to create projects on a budget.

![Device](./raspberry_pi_zero_2_w.avif)

## Features
### **Form Factor**
- Dimensions: 65mm × 30mm × 5mm
- Weight: 9g
- Same form factor and layout as the original Raspberry Pi Zero, ensuring compatibility with most existing enclosures and accessories.

### **Processor**
- **SoC**: Broadcom BCM2710A1, a quad-core 64-bit ARM Cortex-A53.
- **Clock Speed**: 1 GHz.

### **Memory**
- **RAM**: 512 MB LPDDR2 SDRAM.

### **Wireless Connectivity**
- **Wi-Fi**: 802.11 b/g/n (2.4 GHz), same as the Raspberry Pi Zero W.
- **Bluetooth**: 4.2, BLE (Bluetooth Low Energy).

### **Ports and Connectors**
- **1x Mini HDMI port** for video output (1080p at 30fps).
- **1x Micro USB OTG port** for data and peripheral connection.
- **1x Micro USB port** for power.
- **40-pin GPIO header** (unpopulated, but compatible with HATs).
- **Composite video and reset pin headers**.
- **CSI-2 camera connector** for attaching a camera module.

### **Storage**
- Uses a **MicroSD card** for operating system and file storage.

### **Power**
- **Power Input**: 5V via Micro USB.
- **Power Consumption**: Varies depending on workload but generally very low, making it ideal for battery-powered projects.
