---
obj: concept
rev: 2024-05-08
---

# Bypassing Download Restrictions
Some websites restrict how you can interact with their content. Letting you only see the content, but not download them for example. But the websites needs to send you the content somehow, so the restrictions are actually just placebo. Here are some methods to bypass them.

## Referer
If a resource loads when used inline on a website, but is blocked if visited directly, you can fake the HTTP Header Referer to make the server think you load it from the original site instead of downloading.

```shell
curl -o download -H "Referer: <SITE_URL>" "<RESOURCE>"
```

> You can change the User Agent to match your browser to avoid beeing sus