---
website: https://www.alpinelinux.org/
obj: os
---

# Alpine Linux
Alpine Linux is a lightweight and secure [Linux](Linux.md) operating system designed for security, simplicity, and resource efficiency. It is particularly popular for use in containerized environments and embedded systems. Alpine does not use [Systemd](systemd/Systemd.md), instead it uses [openrc](openrc.md).

Here are some of the features of Alpine Linux:
-   Lightweight: Alpine Linux is designed to be as small and simple as possible, with a small footprint and minimal dependencies. The base image is typically around 5 MB in size.
-   Security-focused: Alpine Linux uses the musl libc library and includes security features such as hardened kernel and stack protector. The default package manager, apk, is designed to prevent privilege escalation attacks and is based on signed packages.
-   Resource-efficient: Alpine Linux is optimized for resource efficiency and can run on low-power devices and in resource-constrained environments.
-   Simple and easy to use: Alpine Linux uses a simple and user-friendly package management system: apk, and follows the Unix philosophy of doing one thing well.
-   Container-friendly: Alpine Linux is popular for use in containerized environments due to its small size, low overhead, and focus on security.

## Use Cases
Here are some of the common use cases for Alpine Linux:
-   Containerized environments: Alpine Linux is widely used as a base image for containerized applications due to its small size and focus on security.
-   Embedded systems: Alpine Linux is popular for use in embedded systems due to its small size and resource efficiency.
-   Servers and cloud computing: Alpine Linux is well-suited for use in servers and cloud computing environments due to its lightweight and secure design.

## libc
Since alpine uses musl, applications using libc might not work anymore. Some of them might still run when using this compatibility package:
```shell
apk add gcompat
```