---
website: https://archlinux.org
obj: os
rev: 2024-09-13
---

# Arch Linux
Arch is a very minimal [Linux](Linux.md) Distribution. It features many [packages](https://archlinux.org/packages/) installable with [Pacman](../applications/package%20managers/arch-linux/Pacman.md) and a useful [wiki](https://wiki.archlinux.org/). Additional software support is based on the [AUR](https://aur.archlinux.org/).

There is also a hacker distro called [BlackArch](./BlackArch.md).

Installation of Arch Linux is typically done manually following the [Wiki](https://wiki.archlinux.org/title/Installation_guide). Additionally there are install scripts like this one:
```shell
curl -L matmoul.github.io/archfi | bash
```

You can create a (custom) ISO with [archiso](./archiso.md).

## Basic Install
```shell
# Set keyboard
loadkeys <layout>

# List drives
fdisk -l

# Partition
cfdisk /dev/<device>

# Format
mkfs.fat -F 32 /dev/<boot>
mkfs.ext4 /dev/<root>

# Mount
mount /dev/<root> /mnt
mount --mkdir /dev/<boot> /mnt/boot

# Install Base
pacstrap -K /mnt base linux linux-firmware nano [...]

# Configure
genfstab -U /mnt >> /mnt/etc/fstab

arch-chroot /mnt

# Time
ln -sf /usr/share/zoneinfo/Region/City /etc/localtime
hwclock --systohc

# Language
nano /etc/locale.gen
locale-gen

# Persist keyboard
nano /etc/vconsole.conf

# Set hostname
nano /etc/hostname

# ramfs
mkinitcpio -P

# root password
passwd

# Bootloader
bootctl install

# Restart
reboot
```
