---
obj: filesystem
wiki: https://en.wikipedia.org/wiki/XFS
---

# XFS
XFS is a high-performance, scalable file system designed for Unix-like operating systems. It was originally developed by Silicon Graphics, Inc. (SGI) and later open-sourced. XFS is known for its robustness, advanced features, and suitability for large-scale storage environments.

## File System Creation and Management

Creating an XFS file system can be done using the mkfs.xfs command:
```shell
mkfs.xfs /dev/sdX
```

To mount an XFS file system, use the mount command:
```shell
mount -t xfs /dev/sdX /mnt/point
```

Grow the filesystem:
```shell
xfs_growfs /mnt
```

Get information on filesystem:
```shell
xfs_info /mnt
```
