---
obj: application
arch-wiki: https://wiki.archlinux.org/title/Fwupd
website: https://fwupd.org
repo: https://github.com/fwupd/fwupd
---

# fwupd

fwupd is a simple daemon to allow session software to update device firmware on your local machine. It's designed for desktops, but also usable on phones and headless servers.

## Usage
To display all devices detected by fwupd:
```
$ fwupdmgr get-devices
```

> *Note*: Listed devices may not be updatable through fwupd (e.g. Intel integrated graphics). Alternative vendor solutions may be provided instead.

To download the latest metadata from the Linux Vendor firmware Service (LVFS):
```
$ fwupdmgr refresh
```

> *Note*: This can be done automatically by enabling `fwupd-refresh.timer`.

To list updates available for any devices on the system:
```
$ fwupdmgr get-updates
```

To install updates:
```
$ fwupdmgr update
```

> *Note*:
> - Updates that can be applied live will be done immediately.
> - Updates that run at bootup will be staged for the next reboot.
> - The root user may be required to perform certain device updates.

