---
obj: application
---

# systemd-analyze

Profile systemd, show unit dependencies, check unit files.

Usage: `systemd-analyze [OPTIONS...] COMMAND ...`

```
Boot Analysis:
  [time]                     Print time required to boot the machine
  blame                      Print list of running units ordered by
                             time to init
  critical-chain [UNIT...]   Print a tree of the time critical chain
                             of units

Dependency Analysis:
  plot                       Output SVG graphic showing service
                             initialization
  dot [UNIT...]              Output dependency graph in dot(1) format
  dump [PATTERN...]          Output state serialization of service
                             manager

Configuration Files and Search Paths:
  cat-config NAME|PATH...    Show configuration file and drop-ins
  unit-files                 List files and symlinks for units
  unit-paths                 List load directories for units

Enumerate OS Concepts:
  exit-status [STATUS...]    List exit status definitions
  capability [CAP...]        List capability definitions
  syscall-filter [NAME...]   List syscalls in seccomp filters
  filesystems [NAME...]      List known filesystems
  architectures [NAME...]    List known architectures
  smbios11                   List strings passed via SMBIOS Type #11

Expression Evaluation:
  condition CONDITION...     Evaluate conditions and asserts
  compare-versions VERSION1 [OP] VERSION2
                             Compare two version strings
  image-policy POLICY...     Analyze image policy string

Clock & Time:
  calendar SPEC...           Validate repetitive calendar time
                             events
  timestamp TIMESTAMP...     Validate a timestamp
  timespan SPAN...           Validate a time span

Unit & Service Analysis:
  verify FILE...             Check unit files for correctness
  security [UNIT...]         Analyze security of unit
  fdstore SERVICE...         Show file descriptor store contents of service
  malloc [D-BUS SERVICE...]  Dump malloc stats of a D-Bus service

Executable Analysis:
  inspect-elf FILE...        Parse and print ELF package metadata

TPM Operations:
  has-tpm2                   Report whether TPM2 support is available
  pcrs [PCR...]              Show TPM2 PCRs and their names
  srk [>FILE]                Write TPM2 SRK (to FILE)
```
