---
obj: application
arch-wiki: https://wiki.archlinux.org/title/Udev
---

# udev

udev is a userspace system that enables the operating system administrator to register userspace handlers for events. The events received by udev's daemon are mainly generated by the (Linux) kernel in response to physical events relating to peripheral devices. As such, udev's main purpose is to act upon peripheral detection and hot-plugging, including actions that return control to the kernel, e.g., loading kernel modules or device firmware. Another component of this detection is adjusting the permissions of the device to be accessible to non-root users and groups.

## Usage
Send control commands or test the device manager.

Usage: `udevadm [--help] [--version] [--debug] COMMAND [COMMAND OPTIONS]`

Commands:
```
  info          Query sysfs or the udev database
  trigger       Request events from the kernel
  settle        Wait for pending udev events
  control       Control the udev daemon
  monitor       Listen to kernel and udev events
  test          Test an event run
  test-builtin  Test a built-in command
  verify        Verify udev rules files
  wait          Wait for device or device symlink
  lock          Lock a block device
```
