---
obj: os
website: https://tails.net
wiki: https://en.wikipedia.org/wiki/Tails_(operating_system)
---

# Tails
Tails (The Amnesic Incognito Live System) is a privacy-focused operating system designed to provide anonymous and secure usage of computers. Tails is particularly known for its emphasis on preserving user privacy, ensuring anonymity, and leaving no trace of user activity.

![Screenshot](./tails.avif)

## Features:
### 1. **Live Operating System:**
- Tails is a live operating system, meaning it can be run directly from a USB stick or DVD without the need for installation on a computer's hard drive. This enables users to use Tails on any computer without leaving any footprint on the host system.
### 2. **Privacy and Anonymity:**
- Tails routes all internet traffic through the [Tor](../internet/Tor.md) network by default, providing users with anonymous and censorship-resistant access to the internet. It also includes cryptographic tools for encrypting [emails](../internet/eMail.md) and files, enhancing user privacy.
### 3. **Amnesic by Design:**
- Tails is designed to be amnesic, meaning it forgets everything about the user's activities after each session. Once the session is closed, no data is stored unless explicitly saved to an external drive.
### 4. **Persistent Storage Encryption:**
- Users have the option to create an encrypted and persistent storage area on a USB stick. This allows for the secure storage of sensitive files and configurations across Tails sessions.

## Getting Started:
### 1. **Downloading and Verifying Tails:**
- Users can download the Tails ISO image from the official website. Tails provides instructions on verifying the authenticity of the downloaded image using cryptographic signatures.
### 2. **Creating a Tails USB Stick:**
- Tails can be installed on a USB stick using tools like [Rufus](https://rufus.ie/) or [BalenaEtcher](https://www.balena.io/etcher/). This USB stick becomes the bootable medium for running Tails on a computer.
### 3. **Booting Tails:**
- Users can boot their computer from the Tails USB stick, and Tails will load into a live session without affecting the host system. This ensures a secure and private environment for sensitive tasks.
### 4. **Setting up Persistence (Optional):**
- Users can configure persistent storage on a separate partition of the USB stick to retain certain data, settings, and installed applications across Tails sessions.

## Usage:
### 1. **Browsing with [Tor](../internet/Tor.md):**
- Tails routes all internet traffic through the [Tor](../internet/Tor.md) network, providing anonymous and encrypted internet browsing. This helps users evade censorship and protect their online identity.
### 2. **Secure Communication:**
- Tails includes tools for secure communication, such as email encryption and secure instant messaging, ensuring private conversations and confidential data transfer.
### 3. **Document and File Handling:**
- Users can create, edit, and save documents using the included office applications. Tails also supports encrypted storage for sensitive files
### 4. **Anonymous Computing:**
- Tails enables users to perform various tasks, including web browsing, document editing, and communication, without leaving any trace on the host system. This is particularly useful in scenarios where privacy and anonymity are crucial.
