---
obj: meta/collection
rev: 2024-07-14
---

# Hacking
Hacking refers to the process of exploiting a system, device, network or person by finding and taking advantage of vulnerabilities in security measures. It can be performed with malicious intent to steal data, cause damage, or disrupt operations, or for ethical purposes such as conducting penetration tests to identify weaknesses and improve security.

## Reconnaissance (Recon)
- [Open Source Intelligence (OSINT)](OSINT.md): The practice of gathering information from publicly available sources for cybersecurity threat assessment, intelligence analysis, and investigative research.
- [web-check](./web-check.md): A tool designed to scan websites for potential vulnerabilities and configuration issues.

## Vulnerabilities
- [Buffer Overflow](Buffer%20Overflow.md): An issue where a program attempts to store more data in a buffer than it can hold, potentially leading to unintended actions such as code execution or system crashes.
- [Code Injection](Code%20Injection.md): A technique used by attackers to execute arbitrary commands or functions on a targeted system by embedding malicious code into input fields or other entry points.
- [Cross-Site Scripting (XSS)](XSS.md): An attack that involves inserting malicious scripts into web pages viewed by other users, which can lead to unauthorized access, data theft, and other harmful actions.
- [Cross-Site Request Forgery (CSRF)](CSRF.md): A type of cyberattack where a user is tricked into submitting a malicious request on behalf of another user without their knowledge or consent, often resulting in data manipulation or unauthorized actions.
- [File Inclusion](File%20Inclusion.md): A vulnerability that allows an attacker to include and execute arbitrary files on a targeted system by exploiting weak file inclusion logic in web applications.
- [Bypass Download Restrictions](Bypassing%20Download%20Restrictions.md): Some tricks to get the data you want

## Hardware Tools
- [Hak5](../internet/websites/clearnet/Hak5.md)
- [Rubberducky USB](../devices/Rubberducky%20USB.md)

## Tools
- [Ghidra](../applications/development/Ghidra.md): An open-source reverse engineering tool that allows users to analyze and decompile compiled binaries, identify vulnerabilities, and develop exploits for various operating systems and platforms.
- [hashcat](../applications/cli/hashcat.md): A powerful command-line tool designed for password cracking, offering support for a wide range of hash types and cracking modes to help users recover lost or forgotten credentials from various sources.
- [crunch](../applications/cli/crunch.md): A versatile wordlist generator that can create customized dictionaries of potential passwords by combining user-defined characters, patterns, and rules, helping users improve their password security and resilience against brute-force attacks.
- [ImHex](../applications/utilities/ImHex.md): A powerful hex editor designed for reverse engineering and binary analysis that offers a wide range of features to help users modify and analyze binary files. 
