---
obj: concept
wiki: https://en.wikipedia.org/wiki/Open-source_intelligence
rev: 2024-05-27
---

# Open Source Intelligence (OSINT)
Open Source Intelligence (OSINT) refers to the collection and analysis of information that is publicly available, often from open sources such as the internet. OSINT encompasses a wide range of techniques and tools used to gather information for various purposes, including security assessments, investigations, competitive intelligence, and research.

## Types of OSINT Sources
OSINT sources include, but are not limited to:
1. **Social Media**: Platforms like Twitter, Facebook, LinkedIn, and Instagram contain a wealth of information shared publicly by individuals, organizations, and communities.
2. **Public Websites**: Websites, forums, blogs, and news sites can provide valuable information on a wide range of topics, including industry trends, news events, and organizational activities.
3. **Government Databases**: Many governments provide access to public records, databases, and regulatory filings that can be useful for research and analysis.
4. **Search Engines**: Search engines like [Google](../internet/websites/clearnet/Google.md), Bing, and DuckDuckGo can be used to discover publicly available information on the web.
5. **Online Communities**: Forums, discussion boards, and social media groups focused on specific topics or industries often contain valuable insights and discussions.

## OSINT Techniques
OSINT techniques involve gathering, analyzing, and interpreting information from various sources. Some common OSINT techniques include:
1. **Keyword Searching**: Using search engines and specialized tools to search for keywords and phrases related to the information of interest.
2. **Metadata Analysis**: Examining metadata associated with digital files, such as photos and documents, to extract additional information such as location, date, and authorship.
3. **Social Network Analysis**: Mapping relationships and connections between individuals, organizations, and online communities to identify patterns and trends.
4. **Data Mining**: Extracting and analyzing large datasets from multiple sources to identify relevant information and patterns.
5. **Geospatial Analysis**: Analyzing geographic data, such as satellite imagery and GPS coordinates, to identify locations and patterns of interest.

## OSINT Tools
See [OSINT Framework](https://osintframework.com)

### Information
- [User Agent Strings](https://www.useragentstring.com/pages/useragentstring.php)
- [VirusTotal](https://www.virustotal.com/gui/home/upload)
- [ExploitDB](https://www.exploit-db.com)
- [Photon](https://github.com/s0md3v/Photon)
